%define	major 1
%define libname	%mklibname ewf %{major}
%define develname %mklibname -d ewf

Summary:	Utils for use with the Expert Witness Compression Format (EWF)
Name:		libewf
Version:	20100126
Release:	%mkrel 3
Group:		System/Libraries
License:	BSD
URL:		http://libewf.sourceforge.net/
Source0:	http://sourceforge.net/projects/%{name}/files/%{name}/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:	openssl-devel
BuildRequires:	e2fsprogs-devel
BuildRequires:	zlib-devel
BuildRequires:	autoconf
BuildRequires:	libtool
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Libewf is a library for support of the Expert Witness Compression Format (EWF),
it support both the SMART format (EWF-S01) and the EnCase format (EWF-E01).
Libewf allows you to read and write media information within the EWF files.

This package contains utils for use with the Expert Witness Compression Format
(EWF).

%package -n	%{libname}
Summary:	The Expert Witness Compression Format (EWF) shared library
Group:          System/Libraries

%description -n	%{libname}
Libewf is a library for support of the Expert Witness Compression Format (EWF),
it support both the SMART format (EWF-S01) and the EnCase format (EWF-E01).
Libewf allows you to read and write media information within the EWF files.

%package -n	%{develname}
Summary:	Static library and header files for the libewf library
Group:		Development/C
Provides:	%{name}-devel = %{version}
Requires:	%{libname} = %{version}

%description -n	%{develname}
Libewf is a library for support of the Expert Witness Compression Format (EWF),
it support both the SMART format (EWF-S01) and the EnCase format (EWF-E01).
Libewf allows you to read and write media information within the EWF files.

This package contains the static libewf library and its header files.

%prep

%setup -q

%build
export WANT_AUTOCONF_2_5=1
rm -f configure
libtoolize --copy --force; aclocal; autoconf --force; autoheader; automake

export CFLAGS="%{optflags} -fPIC"

%configure2_5x

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/ewfacquire
%{_bindir}/ewfacquirestream
#%{_bindir}/ewfalter
%{_bindir}/ewfexport
%{_bindir}/ewfinfo
%{_bindir}/ewfverify
%{_mandir}/man1/*

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*


%changelog
* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 20100126-3mdv2011.0
+ Revision: 609743
- rebuild

* Wed Apr 21 2010 Funda Wang <fwang@mandriva.org> 20100126-2mdv2010.1
+ Revision: 537299
- rebuild

* Sun Feb 14 2010 Emmanuel Andry <eandry@mandriva.org> 20100126-1mdv2010.1
+ Revision: 505841
- New version 20100126

* Sat Sep 12 2009 Thierry Vignaud <tv@mandriva.org> 20080501-2mdv2010.0
+ Revision: 438553
- rebuild

* Sun Jan 04 2009 Emmanuel Andry <eandry@mandriva.org> 20080501-1mdv2009.1
+ Revision: 324494
- New version 20080501

* Fri Jul 25 2008 Thierry Vignaud <tv@mandriva.org> 20070512-3mdv2009.0
+ Revision: 248644
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 20070512-1mdv2008.1
+ Revision: 140921
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Sep 07 2007 Oden Eriksson <oeriksson@mandriva.com> 20070512-1mdv2008.0
+ Revision: 81766
- Import libewf



* Fri Sep 07 2007 Oden Eriksson <oeriksson@mandriva.com> 20070512-1mdv2008.0
- initial Mandriva package
